# 变化列表

变化的主要作用是修改对象与玩家的相关内容，常用的变化插件往往在技能或者条件的参量中已经单独给出选项方便服主设置，其他的也几乎很少使用，在此不再赘述。

## location\_to\_block/location\_to\_player/location\_to\_projectile/location\_to\_victim

将技能作用的坐标修改为方块/玩家/抛掷物/对象的坐标。

```
- id: location_to_block
```

```
- id: location_to_player
```

```
- id: location_to_projectile
```

```
- id: location_to_victim
```

## player\_as\_victim

将玩家修改为对象，适用于负面技能。例如让怪物对玩家造成的伤害增加 20%。

```
- id: player_as_victim
```

## spin\_location/spin\_velocity

将玩家或者抛掷物轨迹更改角度。

```
- id: spin_location
  args:
    angle: 15
    distance: 1
```

```
- id: spin_velocity
  args:
    angle: 15
```

## translate\_location

将技能返回的坐标值进行修改。

```
- id: translate_location
  args:
    add_x: -0.1
    add_y: 2.0
    add-z: 0
```

其中：

* args.add\_x/y/z：更改的 x/y/z 坐标的值。

## victim\_as\_player

将对象作为玩家处理（且对象也必须真的是玩家）。插件内部对于玩家和其他实体类型处理是不同的。该变化一般适用于你想使用 `%victim%` 变量符给作为对象的玩家也作用技能。

```
- id: victim_as_player
```

## victim\_to\_owner

如果对象是某个玩家的宠物，那么将该宠物的主人作为对象。

```
- id: victim_to_owner
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/ecox-doc/ji-neng-xi-tong/bian-hua-lie-biao.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
